## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.3.0
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name crypton-x509-validation
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

# https://github.com/kazu-yamamoto/crypton/issues/49
%ifnarch ppc64le s390x
%bcond tests 1
%endif

Name:           ghc-%{pkg_name}
Version:        1.6.14
Release:        %autorelease
Summary:        X.509 Certificate and CRL validation

License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/crypton-x509-validation
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-asn1-encoding-devel
BuildRequires:  ghc-asn1-types-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-crypton-devel
BuildRequires:  ghc-crypton-x509-devel
BuildRequires:  ghc-crypton-x509-store-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-hourglass-devel
BuildRequires:  ghc-iproute-devel
BuildRequires:  ghc-memory-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pem-devel
%if %{with ghc_prof}
BuildRequires:  ghc-asn1-encoding-prof
BuildRequires:  ghc-asn1-types-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-crypton-prof
BuildRequires:  ghc-crypton-x509-prof
BuildRequires:  ghc-crypton-x509-store-prof
BuildRequires:  ghc-data-default-prof
BuildRequires:  ghc-hourglass-prof
BuildRequires:  ghc-iproute-prof
BuildRequires:  ghc-memory-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-pem-prof
%endif
%if %{with tests}
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif
# End cabal-rpm deps
Obsoletes:      ghc-x509-validation < %{version}-%{release}

%description
X.509 Certificate and CRL validation. please see README.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      ghc-x509-validation-devel < %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library
development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem
Obsoletes:      ghc-x509-validation-doc < %{version}-%{release}

%description doc
This package provides the Haskell %{pkg_name} library
documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)
Obsoletes:      ghc-x509-prof < %{version}-%{release}

%description prof
This package provides the Haskell %{pkg_name} profiling
library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Tue Apr 08 2025 Jens Petersen <petersen@redhat.com> - 1.6.14-3
- disable testsuite for ppc64le and s390x

* Mon Feb 24 2025 Jens Petersen <petersen@redhat.com> - 1.6.14-1
- https://hackage.haskell.org/package/crypton-x509-validation-1.6.14/changelog

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Aug  1 2024 Jens Petersen <petersen@redhat.com> - 1.6.12-2
- obsoletes ghc-x509-validation

* Sun Jul 28 2024 Jens Petersen <petersen@redhat.com> - 1.6.12-1
- spec file generated by cabal-rpm-2.2.1

## END: Generated by rpmautospec
